> ## Documentation Index
> Fetch the complete documentation index at: https://docs.adgreg.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get spots

Returns the zones (ad placement units) registered in a given adnetwork under your adnetwork account credentials. Like [Get sites](/api-reference/endpoint/sites), this data is fetched live from the adnetwork and reflects its current state.

<Note>
  You can narrow results to a specific website by passing the `site_id` you received from [Get sites](/api-reference/endpoint/sites).
</Note>


## OpenAPI

````yaml GET /spots
openapi: 3.1.0
info:
  title: AdGreg API
  version: 0.1.0
servers:
  - url: https://api.adgreg.com
security: []
paths:
  /spots:
    get:
      tags:
        - API Operations
      summary: Get Spots
      operationId: get_spots_spots_get
      parameters:
        - name: ad_network
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/AdNetwork'
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 10
            default: 100
            title: Page Size
        - name: site_id
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: string
              - type: 'null'
            description: ID of the website from *Adnetwork*.
            title: Site Id
          description: ID of the website from *Adnetwork*.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdgregSpotsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    AdNetwork:
      type: string
      enum:
        - exoclick
        - trafficstars
        - kadam
        - clickadilla
        - onclicka
        - twinred
        - trafficshop
        - hilltop
      title: AdNetwork
    AdgregSpotsResponse:
      properties:
        page:
          type: integer
          title: Page
        spots:
          type: integer
          title: Spots
        page_size:
          type: integer
          title: Page Size
        page_count:
          type: integer
          title: Page Count
        response:
          items:
            $ref: '#/components/schemas/AdgregSpot'
          type: array
          title: Response
      type: object
      required:
        - page
        - spots
        - page_size
        - page_count
        - response
      title: AdgregSpotsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AdgregSpot:
      properties:
        id:
          anyOf:
            - type: string
            - type: integer
          title: Id
        site_id:
          anyOf:
            - type: string
            - type: integer
          title: Site Id
        name:
          type: string
          title: Name
        site_name:
          type: string
          title: Site Name
        adformat:
          type: string
          title: Adformat
      type: object
      required:
        - id
        - site_id
        - name
        - site_name
        - adformat
      title: AdgregSpot
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````